<?php

/**
 * JCH Optimize - Performs several front-end optimizations for fast downloads
 *
 * @package   jchoptimize/joomla-platform
 * @author    Samuel Marshall <samuel@jch-optimize.net>
 * @copyright Copyright (c) 2021 Samuel Marshall / JCH Optimize
 * @license   GNU/GPLv3, or later. See LICENSE file
 *
 * If LICENSE file missing, see <http://www.gnu.org/licenses/>.
 */
namespace JchOptimize\Service;

use Joomla\CMS\Component\ComponentHelper;
use Joomla\DI\Container;
use Joomla\DI\ServiceProviderInterface;
use Joomla\Registry\Registry;
class ConfigurationProvider implements ServiceProviderInterface
{
    public function register(Container $container)
    {
        $container->set('params', function () : Registry {
            //Get a clone so when we get a new instance of the container we get a different object
            $params = clone ComponentHelper::getParams('com_jchoptimize');
            if (!\defined('JCH_DEBUG')) {
                \define('JCH_DEBUG', $params->get('debug', 0));
            }
            return $params;
        });
    }
}
